List definitions
Lists revisioned Definitions in the verified Organization under definitions:read. It performs no writes and is safe to retry with the same cursor and filters.
curl --request GET \
--url https://api.getarbol.com/v1/definitions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getarbol.com/v1/definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.getarbol.com/v1/definitions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"agentIds": [
"agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31"
],
"createdAt": "2026-08-29T14:30:00Z",
"description": "<string>",
"id": "agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31",
"identifier": "<string>",
"kind": "attribute",
"prompt": "<string>",
"revision": 123,
"status": "active",
"subjectKind": "contact",
"unitCode": "<string>",
"updatedAt": "2026-08-29T14:30:00Z",
"valueType": "option"
}
],
"nextCursor": "<string>"
}{
"defined": true,
"inferable": true,
"code": "BAD_REQUEST",
"status": 400,
"message": "<string>",
"data": {
"issues": [
{
"code": "custom",
"message": "<string>",
"path": [
"<string>"
]
}
],
"truncated": true
}
}{
"defined": true,
"inferable": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "<string>",
"data": "<unknown>"
}{
"defined": true,
"inferable": true,
"code": "FORBIDDEN",
"status": 403,
"message": "<string>",
"data": {
"missingPermissions": [
"agents:read"
]
}
}Authorizations
Organization-scoped Auth0 user access token issued to an approved first-party client or exchanged by a trusted OBO resource server.
Query Parameters
Opaque forward-only cursor returned as nextCursor by the previous page. Never construct one by hand.
1 - 4096Page size; defaults to 25 and never exceeds 100.
1 <= x <= 100Only Definitions scoped to this Agent.
64^[a-z][a-z0-9]{1,15}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31"
Semantic class of an organization-owned Definition.
attribute, assessment, category, metric "attribute"
Matches the identifier and description.
1 - 200"Marta Rojas"
Lifecycle state of an organization-owned Definition.
draft, active, retired "active"
Resource type to which a Definition may be asserted.
contact, conversation "contact"
Validated value representation accepted by a Definition.
text, number, boolean, date, option "option"
curl --request GET \
--url https://api.getarbol.com/v1/definitions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getarbol.com/v1/definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.getarbol.com/v1/definitions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"agentIds": [
"agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31"
],
"createdAt": "2026-08-29T14:30:00Z",
"description": "<string>",
"id": "agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31",
"identifier": "<string>",
"kind": "attribute",
"prompt": "<string>",
"revision": 123,
"status": "active",
"subjectKind": "contact",
"unitCode": "<string>",
"updatedAt": "2026-08-29T14:30:00Z",
"valueType": "option"
}
],
"nextCursor": "<string>"
}{
"defined": true,
"inferable": true,
"code": "BAD_REQUEST",
"status": 400,
"message": "<string>",
"data": {
"issues": [
{
"code": "custom",
"message": "<string>",
"path": [
"<string>"
]
}
],
"truncated": true
}
}{
"defined": true,
"inferable": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "<string>",
"data": "<unknown>"
}{
"defined": true,
"inferable": true,
"code": "FORBIDDEN",
"status": 403,
"message": "<string>",
"data": {
"missingPermissions": [
"agents:read"
]
}
}